//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#ifndef WSNDEF_H
#define WSNDEF_H
#include <WSSdef.h>

#ifndef MSW

#define       WSNtitleString              _WSNtitleString
extern char* _WSNtitleString;
#define       WSNuserString               _WSNuserString
extern char* _WSNuserString;
#define       WSNuserValue                _WSNuserValue
extern char* _WSNuserValue;
#define       WSNx                        _WSNx
extern char* _WSNx;
#define       WSNy                        _WSNy
extern char* _WSNy;
#define       WSNwidth                    _WSNwidth
extern char* _WSNwidth;
#define       WSNheight                   _WSNheight
extern char* _WSNheight;
#define       WSNshadowThickness          _WSNshadowThickness
extern char* _WSNshadowThickness;
#define       WSNbackColor                _WSNbackColor
extern char* _WSNbackColor;
#define       WSNforeColor                _WSNforeColor
extern char* _WSNforeColor;
#define       WSNtopShadowColor           _WSNtopShadowColor
extern char* _WSNtopShadowColor;
#define       WSNbottomShadowColor        _WSNbottomShadowColor
extern char* _WSNbottomShadowColor;
#define       WSNshadowType               _WSNshadowType
extern char* _WSNshadowType;
#define       WSNvis                      _WSNvis
extern char* _WSNvis;
#define       WSNdet                      _WSNdet
extern char* _WSNdet;
#define       WSNlabelString              _WSNlabelString
extern char* _WSNlabelString;
#define       WSNfont                     _WSNfont
extern char* _WSNfont;
#define       WSNfontName                 _WSNfontName
extern char* _WSNfontName;
#define       WSNtitleBar                 _WSNtitleBar
extern char* _WSNtitleBar;
#define       WSNtwinBlink                _WSNtwinBlink
extern char* _WSNtwinBlink;
#define       WSNblinkColor               _WSNblinkColor
extern char* _WSNblinkColor;
#define       WSNblinkRefreshing          _WSNblinkRefreshing
extern char* _WSNblinkRefreshing;
#define       WSNpixmapStyle              _WSNpixmapStyle
extern char* _WSNpixmapStyle;
#define       WSNlabelPixmap              _WSNlabelPixmap
extern char* _WSNlabelPixmap;
#define       WSNkanjiIn                  _WSNkanjiIn
extern char* _WSNkanjiIn;
#define       WSNinterCur                 _WSNinterCur
extern char* _WSNinterCur;
#define       WSNinterval                 _WSNinterval
extern char* _WSNinterval;
#define       WSNcont                     _WSNcont
extern char* _WSNcont;
#define       WSNrunning                  _WSNrunning
extern char* _WSNrunning;
#define       WSNextension                _WSNextension
extern char* _WSNextension;
#define       WSNmaxLength                _WSNmaxLength
extern char* _WSNmaxLength;
#define       WSNworkWidth                _WSNworkWidth
extern char* _WSNworkWidth;
#define       WSNworkHeight               _WSNworkHeight
extern char* _WSNworkHeight;
#define       WSNbarValue                _WSNbarValue
extern char* _WSNbarValue;
#define       WSNvbarValue                _WSNvbarValue
extern char* _WSNvbarValue;
#define       WSNhbarValue                _WSNhbarValue
extern char* _WSNhbarValue;
#define       WSNhbarVisible              _WSNhbarVisible
extern char* _WSNhbarVisible;
#define       WSNvbarVisible              _WSNvbarVisible
extern char* _WSNvbarVisible;
#define       WSNworkBackColor            _WSNworkBackColor
extern char* _WSNworkBackColor;
#define       WSNbarThickness             _WSNbarThickness
extern char* _WSNbarThickness;
#define       WSNincrement                _WSNincrement
extern char* _WSNincrement;
#define       WSNpageIncrement            _WSNpageIncrement
extern char* _WSNpageIncrement;
#define       WSNsliderSize               _WSNsliderSize
extern char* _WSNsliderSize;
#define       WSNvalue                    _WSNvalue
extern char* _WSNvalue;
#define       WSNmaximum                  _WSNmaximum
extern char* _WSNmaximum;
#define       WSNorientation              _WSNorientation
extern char* _WSNorientation;
#define       WSNbackPixmap               _WSNbackPixmap
extern char* _WSNbackPixmap;
#define       WSNcolumns                  _WSNcolumns
extern char* _WSNcolumns;
#define       WSNcursorPos                _WSNcursorPos
extern char* _WSNcursorPos;
#define       WSNmenuItems                _WSNmenuItems
extern char* _WSNmenuItems;
#define       WSNmenuItemHeight           _WSNmenuItemHeight
extern char* _WSNmenuItemHeight;
#define       WSNbarShadowColor           _WSNbarShadowColor
extern char* _WSNbarShadowColor;
#define       WSNupward                   _WSNupward
extern char* _WSNupward;
#define       WSNdownward                 _WSNdownward
extern char* _WSNdownward;
#define       WSNleftward                 _WSNleftward
extern char* _WSNleftward;
#define       WSNrightward                _WSNrightward
extern char* _WSNrightward;
#define       WSNreturn                   _WSNreturn
extern char* _WSNreturn;
#define       WSNtab                      _WSNtab
extern char* _WSNtab;
#define       WSNbacktab                  _WSNbacktab
extern char* _WSNbacktab;
#define       WSNenableFocusMove          _WSNenableFocusMove
extern char* _WSNenableFocusMove;
#define       WSNclient                   _WSNclient
extern char* _WSNclient;
#define       WSNselectReset              _WSNselectReset
extern char* _WSNselectReset;
#define       WSNselectString             _WSNselectString
extern char* _WSNselectString;
#define       WSNselectColor              _WSNselectColor
extern char* _WSNselectColor;
#define       WSNselectForeColor              _WSNselectForeColor
extern char* _WSNselectForeColor;
#define       WSNselectPixmap             _WSNselectPixmap
extern char* _WSNselectPixmap;
#define       WSNindicatorPixmap          _WSNindicatorPixmap
extern char* _WSNindicatorPixmap;
#define       WSNindicatorColor           _WSNindicatorColor
extern char* _WSNindicatorColor;
#define       WSNindicatorOn              _WSNindicatorOn
extern char* _WSNindicatorOn;
#define       WSNindicatorType            _WSNindicatorType
extern char* _WSNindicatorType;
#define       WSNindicatorSize            _WSNindicatorSize
extern char* _WSNindicatorSize;
#define       WSNgroup                    _WSNgroup
extern char* _WSNgroup;
#define       WSNid                       _WSNid
extern char* _WSNid;
#define       WSNunique                   _WSNunique
extern char* _WSNunique;
#define       WSNscrollWidth              _WSNscrollWidth
extern char* _WSNscrollWidth;
#define       WSNscrollHeight             _WSNscrollHeight
extern char* _WSNscrollHeight;
#define       WSNtitleHeight              _WSNtitleHeight
extern char* _WSNtitleHeight;
#define       WSNfillSpace                _WSNfillSpace
extern char* _WSNfillSpace;
#define       WSNifieldSkipMode           _WSNifieldSkipMode
extern char* _WSNifieldSkipMode;
#define       WSNcursorAdjust             _WSNcursorAdjust
extern char* _WSNcursorAdjust;
#define       WSNdateFormat               _WSNdateFormat
extern char* _WSNdateFormat;
#define       WSNweekFormat               _WSNweekFormat
extern char* _WSNweekFormat;
#define       WSNclockFormat              _WSNclockFormat
extern char* _WSNclockFormat;
#define       WSNsecondOn                 _WSNsecondOn
extern char* _WSNsecondOn;
#define       WSNdirName                  _WSNdirName
extern char* _WSNdirName;
#define       WSNfileName                 _WSNfileName
extern char* _WSNfileName;
#define       WSNmaskFileName             _WSNmaskFileName
extern char* _WSNmaskFileName;
#define       WSNreplyHandler             _WSNreplyHandler
extern char* _WSNreplyHandler;
#define       WSNdefaultPosition          _WSNdefaultPosition
extern char* _WSNdefaultPosition;
#define       WSNlineWidth                _WSNlineWidth
extern char* _WSNlineWidth;
#define       WSNblinkType                _WSNblinkType
extern char* _WSNblinkType;
#define       WSNpushPixmap               _WSNpushPixmap
extern char* _WSNpushPixmap;
#define       WSNblinkPixmap              _WSNblinkPixmap
extern char* _WSNblinkPixmap;
#define       WSNmarginTop                _WSNmarginTop
extern char* _WSNmarginTop;
#define       WSNmarginBottom             _WSNmarginBottom
extern char* _WSNmarginBottom;
#define       WSNmarginLeft               _WSNmarginLeft
extern char* _WSNmarginLeft;
#define       WSNmarginRight              _WSNmarginRight
extern char* _WSNmarginRight;
#define       WSNalignmentH               _WSNalignmentH
extern char* _WSNalignmentH;
#define       WSNalignmentV               _WSNalignmentV
extern char* _WSNalignmentV;
#define       WSNlineX                    _WSNlineX
extern char* _WSNlineX;
#define       WSNlineY                    _WSNlineY
extern char* _WSNlineY;
#define       WSNlineNum                  _WSNlineNum
extern char* _WSNlineNum;
#define       WSNvalue1                   _WSNvalue1
extern char* _WSNvalue1;
#define       WSNvalue2                   _WSNvalue2
extern char* _WSNvalue2;
#define       WSNlineType                 _WSNlineType
extern char* _WSNlineType;
#define       WSNarrowDirection           _WSNarrowDirection
extern char* _WSNarrowDirection;
#define       WSNblinkFlag                _WSNblinkFlag
extern char* _WSNblinkFlag;
#define       WSNblinkRate                _WSNblinkRate
extern char* _WSNblinkRate;
#define       WSNstippled                 _WSNstippled
extern char* _WSNstippled;
#define       WSNhatchPattern             _WSNhatchPattern
extern char* _WSNhatchPattern;
#define       WSNhatchColor               _WSNhatchColor
extern char* _WSNhatchColor;
#define       WSNhatchBlinkColor          _WSNhatchBlinkColor
extern char* _WSNhatchBlinkColor;
#define       WSNbackColorFlag            _WSNbackColorFlag
extern char* _WSNbackColorFlag;
#define       WSNbackBlinkColor           _WSNbackBlinkColor
extern char* _WSNbackBlinkColor;
#define       WSNreverseFlag              _WSNreverseFlag
extern char* _WSNreverseFlag;
#define       WSNminimum                  _WSNminimum
extern char* _WSNminimum;
#define       WSNangle1                   _WSNangle1
extern char* _WSNangle1;
#define       WSNangle2                   _WSNangle2
extern char* _WSNangle2;
#define       WSNarcType                  _WSNarcType
extern char* _WSNarcType;
#define       WSNdragInterval             _WSNdragInterval
extern char* _WSNdragInterval;
#define       WSNindicatorShadow          _WSNindicatorShadow
extern char* _WSNindicatorShadow;
#define       WSNemboss                   _WSNemboss
extern char* _WSNemboss;
#define       WSNmouse                    _WSNmouse
extern char* _WSNmouse;
#define       WSNusePixmap                _WSNusePixmap
extern char* _WSNusePixmap;
#define       WSNenableInput              _WSNenableInput
extern char *_WSNenableInput;
#define       WSNok                _WSNok
extern char* _WSNok;
#define       WSNno              _WSNno
extern char* _WSNno;
#define       WSNcancel              _WSNcancel
extern char* _WSNcancel;
#define       WSNokString         _WSNokString
extern char* _WSNokString;
#define       WSNnoString        _WSNnoString
extern char* _WSNnoString;
#define       WSNcancelString        _WSNcancelString
extern char* _WSNcancelString;
#define       WSNmodal           _WSNmodal
extern char* _WSNmodal;
#define       WSNtype            _WSNtype
extern char* _WSNtype;
#define       WSNmaxHeight       _WSNmaxHeight
extern char* _WSNmaxHeight;
#define       WSNmultiSelect     _WSNmultiSelect
extern char* _WSNmultiSelect;
#define       WSNreverseSelect    _WSNreverseSelect
extern char* _WSNreverseSelect;
#define       WSNmargin    _WSNmargin
extern char* _WSNmargin;
#define       WSNname    _WSNname
extern char* _WSNname;
#define       WSNuseIcon    _WSNuseIcon
extern char* _WSNuseIcon;
#define       WSNiconPixmap    _WSNiconPixmap
extern char* _WSNiconPixmap;
#define       WSNvirtualScroll    _WSNvirtualScroll
extern char* _WSNvirtualScroll;
#define       WSNnoHatch    _WSNnoHatch
extern char* _WSNnoHatch;
#define       WSNselectDir    _WSNselectDir
extern char* _WSNselectDir;
#define       WSNgradation    _WSNgradation
extern char* _WSNgradation;
#define       WSNgradationMargin    _WSNgradationMargin
extern char* _WSNgradationMargin;
#define       WSNshortcut    _WSNshortcut
extern char* _WSNshortcut;
#define       WSNreturnKeyFocus    _WSNreturnKeyFocus
extern char* _WSNreturnKeyFocus;
#define       WSNexit    _WSNexit
extern char* _WSNexit;
#define       WSNitemHeight    _WSNitemHeight
extern char* _WSNitemHeight;
#define       WSNdata    _WSNdata
extern char* _WSNdata;
#define       WSNdataSource    _WSNdataSource
extern char* _WSNdataSource;
#define       WSNdataSourceName    _WSNdataSourceName
extern char* _WSNdataSourceName;
#define       WSNanchorTop    _WSNanchorTop
extern char* _WSNanchorTop;
#define       WSNanchorBottom    _WSNanchorBottom
extern char* _WSNanchorBottom;
#define       WSNanchorLeft    _WSNanchorLeft
extern char* _WSNanchorLeft;
#define       WSNanchorRight    _WSNanchorRight
extern char* _WSNanchorRight;
#define       WSNanchorTopFlag    _WSNanchorTopFlag
extern char* _WSNanchorTopFlag;
#define       WSNanchorBottomFlag    _WSNanchorBottomFlag
extern char* _WSNanchorBottomFlag;
#define       WSNanchorLeftFlag    _WSNanchorLeftFlag
extern char* _WSNanchorLeftFlag;
#define       WSNanchorRightFlag    _WSNanchorRightFlag
extern char* _WSNanchorRightFlag;
#define       WSNflip               _WSNflip
extern char* _WSNflip;
#define       WSNframe               _WSNframe
extern char* _WSNframe;
#define       WSNformat               _WSNformat
extern char* _WSNformat;
#define       WSNworkX               _WSNworkX
extern char* _WSNworkX;
#define       WSNworkY               _WSNworkY
extern char* _WSNworkY;
#define       WSNdisplayOnly               _WSNdisplayOnly
extern char* _WSNdisplayOnly;
#define       WSNrefreshing                _WSNrefreshing
extern char* _WSNrefreshing;
#define       WSNvcolumns                _WSNvcolumns
extern char* _WSNvcolumns;
#define       WSNhcolumns                _WSNhcolumns
extern char* _WSNhcolumns;
#define       WSNseparator                _WSNseparator
extern char* _WSNseparator;
#define       WSNfit                _WSNfit
extern char* _WSNfit;
#define       WSNip                _WSNip
extern char* _WSNip;
#define       WSNport              _WSNport
extern char* _WSNport;
#define       WSNtimeout              _WSNtimeout
extern char* _WSNtimeout;
#define       WSNexport              _WSNexport
extern char* _WSNexport;
#define       WSNusername              _WSNusername
extern char* _WSNusername;
#define       WSNpassword              _WSNpassword
extern char* _WSNpassword;
#define       WSNdbname              _WSNdbname
extern char* _WSNdbname;
#define       WSNdsn              _WSNdsn
extern char* _WSNdsn;
#define       WSNhostname              _WSNhostname
extern char* _WSNhostname;
#define       WSNstatus              _WSNstatus
extern char* _WSNstatus;
#define       WSNdbTableName              _WSNdbTableName
extern char* _WSNdbTableName;
#define       WSNshowItem              _WSNshowItem
extern char* _WSNshowItem;
#define       WSNsortItems             _WSNsortItems
extern char* _WSNsortItems;
#define       WSNsort                  _WSNsort
extern char* _WSNsort;
#define       WSNitem                  _WSNitem
extern char* _WSNitem;
#define       WSNfilter                  _WSNfilter
extern char* _WSNfilter;

#else //MSW

#define       WSNtitleString              _WSNtitleString()
extern char* _WSNtitleString();
#define       WSNuserString               _WSNuserString()
extern char* _WSNuserString();
#define       WSNuserValue                _WSNuserValue()
extern char* _WSNuserValue();
#define       WSNx                        _WSNx()
extern char* _WSNx();
#define       WSNy                        _WSNy()
extern char* _WSNy();
#define       WSNwidth                    _WSNwidth()
extern char* _WSNwidth();
#define       WSNheight                   _WSNheight()
extern char* _WSNheight();
#define       WSNshadowThickness          _WSNshadowThickness()
extern char* _WSNshadowThickness();
#define       WSNbackColor                _WSNbackColor()
extern char* _WSNbackColor();
#define       WSNforeColor                _WSNforeColor()
extern char* _WSNforeColor();
#define       WSNtopShadowColor           _WSNtopShadowColor()
extern char* _WSNtopShadowColor();
#define       WSNbottomShadowColor        _WSNbottomShadowColor()
extern char* _WSNbottomShadowColor();
#define       WSNshadowType               _WSNshadowType()
extern char* _WSNshadowType();
#define       WSNvis                      _WSNvis()
extern char* _WSNvis();
#define       WSNdet                      _WSNdet()
extern char* _WSNdet();
#define       WSNlabelString              _WSNlabelString()
extern char* _WSNlabelString();
#define       WSNfont                     _WSNfont()
extern char* _WSNfont();
#define       WSNfontName                 _WSNfontName()
extern char* _WSNfontName();
#define       WSNtitleBar                 _WSNtitleBar()
extern char* _WSNtitleBar();
#define       WSNtwinBlink                _WSNtwinBlink()
extern char* _WSNtwinBlink();
#define       WSNblinkColor               _WSNblinkColor()
extern char* _WSNblinkColor();
#define       WSNblinkRefreshing          _WSNblinkRefreshing()
extern char* _WSNblinkRefreshing();
#define       WSNpixmapStyle              _WSNpixmapStyle()
extern char* _WSNpixmapStyle();
#define       WSNlabelPixmap              _WSNlabelPixmap()
extern char* _WSNlabelPixmap();
#define       WSNkanjiIn                  _WSNkanjiIn()
extern char* _WSNkanjiIn();
#define       WSNinterCur                 _WSNinterCur()
extern char* _WSNinterCur();
#define       WSNinterval                 _WSNinterval()
extern char* _WSNinterval();
#define       WSNcont                     _WSNcont()
extern char* _WSNcont();
#define       WSNrunning                  _WSNrunning()
extern char* _WSNrunning();
#define       WSNextension                _WSNextension()
extern char* _WSNextension();
#define       WSNmaxLength                _WSNmaxLength()
extern char* _WSNmaxLength();
#define       WSNworkWidth                _WSNworkWidth()
extern char* _WSNworkWidth();
#define       WSNworkHeight               _WSNworkHeight()
extern char* _WSNworkHeight();
#define       WSNbarValue                _WSNbarValue()
extern char* _WSNbarValue();
#define       WSNvbarValue                _WSNvbarValue()
extern char* _WSNvbarValue();
#define       WSNhbarValue                _WSNhbarValue()
extern char* _WSNhbarValue();
#define       WSNhbarVisible              _WSNhbarVisible()
extern char* _WSNhbarVisible();
#define       WSNvbarVisible              _WSNvbarVisible()
extern char* _WSNvbarVisible();
#define       WSNworkBackColor            _WSNworkBackColor()
extern char* _WSNworkBackColor();
#define       WSNbarThickness             _WSNbarThickness()
extern char* _WSNbarThickness();
#define       WSNincrement                _WSNincrement()
extern char* _WSNincrement();
#define       WSNpageIncrement            _WSNpageIncrement()
extern char* _WSNpageIncrement();
#define       WSNsliderSize               _WSNsliderSize()
extern char* _WSNsliderSize();
#define       WSNvalue                    _WSNvalue()
extern char* _WSNvalue();
#define       WSNmaximum                  _WSNmaximum()
extern char* _WSNmaximum();
#define       WSNorientation              _WSNorientation()
extern char* _WSNorientation();
#define       WSNbackPixmap               _WSNbackPixmap()
extern char* _WSNbackPixmap();
#define       WSNcolumns                  _WSNcolumns()
extern char* _WSNcolumns();
#define       WSNcursorPos                _WSNcursorPos()
extern char* _WSNcursorPos();
#define       WSNmenuItems                _WSNmenuItems()
extern char* _WSNmenuItems();
#define       WSNmenuItemHeight           _WSNmenuItemHeight()
extern char* _WSNmenuItemHeight();
#define       WSNbarShadowColor           _WSNbarShadowColor()
extern char* _WSNbarShadowColor();
#define       WSNupward                   _WSNupward()
extern char* _WSNupward();
#define       WSNdownward                 _WSNdownward()
extern char* _WSNdownward();
#define       WSNleftward                 _WSNleftward()
extern char* _WSNleftward();
#define       WSNrightward                _WSNrightward()
extern char* _WSNrightward();
#define       WSNreturn                   _WSNreturn()
extern char* _WSNreturn();
#define       WSNtab                      _WSNtab()
extern char* _WSNtab();
#define       WSNbacktab                  _WSNbacktab()
extern char* _WSNbacktab();
#define       WSNenableFocusMove          _WSNenableFocusMove()
extern char* _WSNenableFocusMove();
#define       WSNclient                   _WSNclient()
extern char* _WSNclient();
#define       WSNselectReset              _WSNselectReset()
extern char* _WSNselectReset();
#define       WSNselectString             _WSNselectString()
extern char* _WSNselectString();
#define       WSNselectColor              _WSNselectColor()
extern char* _WSNselectColor();
#define       WSNselectForeColor              _WSNselectForeColor()
extern char* _WSNselectForeColor();
#define       WSNselectPixmap             _WSNselectPixmap()
extern char* _WSNselectPixmap();
#define       WSNindicatorPixmap          _WSNindicatorPixmap()
extern char* _WSNindicatorPixmap();
#define       WSNindicatorColor           _WSNindicatorColor()
extern char* _WSNindicatorColor();
#define       WSNindicatorOn              _WSNindicatorOn()
extern char* _WSNindicatorOn();
#define       WSNindicatorType            _WSNindicatorType()
extern char* _WSNindicatorType();
#define       WSNindicatorSize            _WSNindicatorSize()
extern char* _WSNindicatorSize();
#define       WSNgroup                    _WSNgroup()
extern char* _WSNgroup();
#define       WSNid                       _WSNid()
extern char* _WSNid();
#define       WSNunique                   _WSNunique()
extern char* _WSNunique();
#define       WSNscrollWidth              _WSNscrollWidth()
extern char* _WSNscrollWidth();
#define       WSNscrollHeight             _WSNscrollHeight()
extern char* _WSNscrollHeight();
#define       WSNtitleHeight              _WSNtitleHeight()
extern char* _WSNtitleHeight();
#define       WSNfillSpace                _WSNfillSpace()
extern char* _WSNfillSpace();
#define       WSNifieldSkipMode           _WSNifieldSkipMode()
extern char* _WSNifieldSkipMode();
#define       WSNcursorAdjust             _WSNcursorAdjust()
extern char* _WSNcursorAdjust();
#define       WSNdateFormat               _WSNdateFormat()
extern char* _WSNdateFormat();
#define       WSNweekFormat               _WSNweekFormat()
extern char* _WSNweekFormat();
#define       WSNclockFormat              _WSNclockFormat()
extern char* _WSNclockFormat();
#define       WSNsecondOn                 _WSNsecondOn()
extern char* _WSNsecondOn();
#define       WSNdirName                  _WSNdirName()
extern char* _WSNdirName();
#define       WSNfileName                 _WSNfileName()
extern char* _WSNfileName();
#define       WSNmaskFileName             _WSNmaskFileName()
extern char* _WSNmaskFileName();
#define       WSNreplyHandler             _WSNreplyHandler()
extern char* _WSNreplyHandler();
#define       WSNdefaultPosition          _WSNdefaultPosition()
extern char* _WSNdefaultPosition();
#define       WSNlineWidth                _WSNlineWidth()
extern char* _WSNlineWidth();
#define       WSNblinkType                _WSNblinkType()
extern char* _WSNblinkType();
#define       WSNpushPixmap               _WSNpushPixmap()
extern char* _WSNpushPixmap();
#define       WSNblinkPixmap              _WSNblinkPixmap()
extern char* _WSNblinkPixmap();
#define       WSNmarginTop                _WSNmarginTop()
extern char* _WSNmarginTop();
#define       WSNmarginBottom             _WSNmarginBottom()
extern char* _WSNmarginBottom();
#define       WSNmarginLeft               _WSNmarginLeft()
extern char* _WSNmarginLeft();
#define       WSNmarginRight              _WSNmarginRight()
extern char* _WSNmarginRight();
#define       WSNalignmentH               _WSNalignmentH()
extern char* _WSNalignmentH();
#define       WSNalignmentV               _WSNalignmentV()
extern char* _WSNalignmentV();
#define       WSNlineX                    _WSNlineX()
extern char* _WSNlineX();
#define       WSNlineY                    _WSNlineY()
extern char* _WSNlineY();
#define       WSNlineNum                  _WSNlineNum()
extern char* _WSNlineNum();
#define       WSNvalue1                   _WSNvalue1()
extern char* _WSNvalue1();
#define       WSNvalue2                   _WSNvalue2()
extern char* _WSNvalue2();
#define       WSNlineType                 _WSNlineType()
extern char* _WSNlineType();
#define       WSNarrowDirection           _WSNarrowDirection()
extern char* _WSNarrowDirection();
#define       WSNblinkFlag                _WSNblinkFlag()
extern char* _WSNblinkFlag();
#define       WSNblinkRate                _WSNblinkRate()
extern char* _WSNblinkRate();
#define       WSNstippled                 _WSNstippled()
extern char* _WSNstippled();
#define       WSNhatchPattern             _WSNhatchPattern()
extern char* _WSNhatchPattern();
#define       WSNhatchColor               _WSNhatchColor()
extern char* _WSNhatchColor();
#define       WSNhatchBlinkColor          _WSNhatchBlinkColor()
extern char* _WSNhatchBlinkColor();
#define       WSNbackColorFlag            _WSNbackColorFlag()
extern char* _WSNbackColorFlag();
#define       WSNbackBlinkColor           _WSNbackBlinkColor()
extern char* _WSNbackBlinkColor();
#define       WSNreverseFlag              _WSNreverseFlag()
extern char* _WSNreverseFlag();
#define       WSNminimum                  _WSNminimum()
extern char* _WSNminimum();
#define       WSNangle1                   _WSNangle1()
extern char* _WSNangle1();
#define       WSNangle2                   _WSNangle2()
extern char* _WSNangle2();
#define       WSNarcType                  _WSNarcType()
extern char* _WSNarcType();
#define       WSNdragInterval             _WSNdragInterval()
extern char* _WSNdragInterval();
#define       WSNindicatorShadow          _WSNindicatorShadow()
extern char* _WSNindicatorShadow();
#define       WSNemboss                   _WSNemboss()
extern char* _WSNemboss();
#define       WSNmouse                    _WSNmouse()
extern char* _WSNmouse();
#define       WSNusePixmap                _WSNusePixmap()
extern char* _WSNusePixmap();
#define       WSNenableInput              _WSNenableInput()
extern char* _WSNenableInput();
#define       WSNok                _WSNok()
extern char* _WSNok();
#define       WSNno              _WSNno()
extern char* _WSNno();
#define       WSNcancel              _WSNcancel()
extern char* _WSNcancel();
#define       WSNokString         _WSNokString()
extern char* _WSNokString();
#define       WSNnoString        _WSNnoString()
extern char* _WSNnoString();
#define       WSNcancelString        _WSNcancelString()
extern char* _WSNcancelString();
#define       WSNmodal           _WSNmodal()
extern char* _WSNmodal();
#define       WSNtype            _WSNtype()
extern char* _WSNtype();
#define       WSNmaxHeight       _WSNmaxHeight()
extern char* _WSNmaxHeight();
#define       WSNmultiSelect     _WSNmultiSelect()
extern char* _WSNmultiSelect();
#define       WSNreverseSelect    _WSNreverseSelect()
extern char* _WSNreverseSelect();
#define       WSNmargin    _WSNmargin()
extern char* _WSNmargin();
#define       WSNname    _WSNname()
extern char* _WSNname();
#define       WSNuseIcon    _WSNuseIcon()
extern char* _WSNuseIcon();
#define       WSNiconPixmap    _WSNiconPixmap()
extern char* _WSNiconPixmap();
#define       WSNvirtualScroll    _WSNvirtualScroll()
extern char* _WSNvirtualScroll();
#define       WSNnoHatch    _WSNnoHatch()
extern char* _WSNnoHatch();
#define       WSNselectDir    _WSNselectDir()
extern char* _WSNselectDir();
#define       WSNgradation    _WSNgradation()
extern char* _WSNgradation();
#define       WSNgradationMargin    _WSNgradationMargin()
extern char* _WSNgradationMargin();
#define       WSNshortcut    _WSNshortcut()
extern char* _WSNshortcut();
#define       WSNreturnKeyFocus    _WSNreturnKeyFocus()
extern char* _WSNreturnKeyFocus();
#define       WSNexit    _WSNexit()
extern char* _WSNexit();
#define       WSNitemHeight    _WSNitemHeight()
extern char* _WSNitemHeight();
#define       WSNdata          _WSNdata()
extern char* _WSNdata();
#define       WSNdataSource    _WSNdataSource()
extern char* _WSNdataSource();
#define       WSNdataSourceName    _WSNdataSourceName()
extern char* _WSNdataSourceName();
#define       WSNanchorTop    _WSNanchorTop()
extern char* _WSNanchorTop();
#define       WSNanchorBottom    _WSNanchorBottom()
extern char* _WSNanchorBottom();
#define       WSNanchorLeft    _WSNanchorLeft()
extern char* _WSNanchorLeft();
#define       WSNanchorRight    _WSNanchorRight()
extern char* _WSNanchorRight();
#define       WSNanchorTopFlag    _WSNanchorTopFlag()
extern char* _WSNanchorTopFlag();
#define       WSNanchorBottomFlag    _WSNanchorBottomFlag()
extern char* _WSNanchorBottomFlag();
#define       WSNanchorLeftFlag    _WSNanchorLeftFlag()
extern char* _WSNanchorLeftFlag();
#define       WSNanchorRightFlag    _WSNanchorRightFlag()
extern char* _WSNanchorRightFlag();
#define       WSNflip    _WSNflip()
extern char* _WSNflip();
#define       WSNframe    _WSNframe()
extern char* _WSNframe();
#define       WSNformat    _WSNformat()
extern char* _WSNformat();
#define       WSNworkX    _WSNworkX()
extern char* _WSNworkX();
#define       WSNworkY    _WSNworkY()
extern char* _WSNworkY();
#define       WSNdisplayOnly    _WSNdisplayOnly()
extern char* _WSNdisplayOnly();
#define       WSNrefreshing    _WSNrefreshing()
extern char* _WSNrefreshing();
#define       WSNvcolumns    _WSNvcolumns()
extern char* _WSNvcolumns();
#define       WSNhcolumns    _WSNhcolumns()
extern char* _WSNhcolumns();
#define       WSNseparator    _WSNseparator()
extern char* _WSNseparator();
#define       WSNfit    _WSNfit()
extern char* _WSNfit();
#define       WSNip    _WSNip()
extern char* _WSNip();
#define       WSNport    _WSNport()
extern char* _WSNport();
#define       WSNtimeout    _WSNtimeout()
extern char* _WSNtimeout();
#define       WSNexport    _WSNexport()
extern char* _WSNexport();
#define       WSNusername    _WSNusername()
extern char* _WSNusername();
#define       WSNpassword    _WSNpassword()
extern char* _WSNpassword();
#define       WSNdbname    _WSNdbname()
extern char* _WSNdbname();
#define       WSNdsn    _WSNdsn()
extern char* _WSNdsn();
#define       WSNhostname    _WSNhostname()
extern char* _WSNhostname();
#define       WSNstatus    _WSNstatus()
extern char* _WSNstatus();
#define       WSNdbTableName    _WSNdbTableName()
extern char* _WSNdbTableName();
#define       WSNshowItem    _WSNshowItem()
extern char* _WSNshowItem();
#define       WSNsortItems    _WSNsortItems()
extern char* _WSNsortItems();
#define       WSNsort         _WSNsort()
extern char* _WSNsort();
#define       WSNitem         _WSNitem()
extern char* _WSNitem();
#define       WSNfilter         _WSNfilter()
extern char* _WSNfilter();

#endif //MSW

#endif
